Skip to main content
GET
/
o
/
{organisation_id}
/
projects
/
{project_id}
/
logs
Get Project Logs
curl --request GET \
  --url https://platform.versori.com/api/v2/o/{organisation_id}/projects/{project_id}/logs \
  --header 'Authorization: Bearer <token>'
{
  "logs": [
    {
      "timestamp": "<string>",
      "severity": "<string>",
      "message": "<string>",
      "error": "<string>",
      "httpRequest": {},
      "fields": {}
    }
  ],
  "nextToken": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.versori.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.

Path Parameters

organisation_id
string<ulid>
required
project_id
string<ulid>
required

Query Parameters

first
integer
default:20
next_token
string
start
string
end
string
build
boolean
latest
boolean

If true, returns only the latest logs

order
string

One of 'asc' or 'desc'

project_env
string

Response

OK

logs
object[]
required
nextToken
string